spandsp 0.0.6

t38_gateway_to_t38_state_t Struct Reference

`#include <t38_gateway.h>`

## Public Attributes
uint8_t | data [T38_RX_BUF_LEN]
| non-ECM and HDLC modem receive data buffer.
int | data_ptr
| Current pointer into the data buffer.
unsigned int | bit_stream
| The current octet being received as non-ECM data.
int | bits_absorbed
| The number of bits taken from the modem for the current scan row. This is used during non-ECM transmission will fill bit removal to see that T.38 packet transmissions do not stretch too far apart.
int | bit_no
| The current bit number in the current non-ECM octet.
uint16_t | crc
| Progressively calculated CRC for HDLC messages received from a modem.
int | fill_bit_removal
| TRUE if non-ECM fill bits are to be stripped when sending image data.
int | octets_per_data_packet
| The number of octets to send in each image packet (non-ECM or ECM) at the current rate and the current specified packet interval.
int | in_bits
| Bits into the non-ECM buffer.
int | out_octets
| Octets fed out from the non-ECM buffer.

## Detailed Description

T.38 gateway T.38 side state.

The documentation for this struct was generated from the following file:

- private/t38_gateway.h